curl --request GET \
--url https://api.reworkd.dev/v1/outputs/{group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reworkd.dev/v1/outputs/{group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reworkd.dev/v1/outputs/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reworkd.dev/v1/outputs/{group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reworkd.dev/v1/outputs/{group_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reworkd.dev/v1/outputs/{group_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reworkd.dev/v1/outputs/{group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"metadata": {
"next_url": "https://api.reworkd.dev/v1/items?cursor=2612294",
"next_cursor": 2612294
},
"items": [
{
"source_url": "http://example.com",
"data": {
"age": 30,
"email": "john@example.com",
"images": [
"http://example.com/profile.jpg",
"http://example.com/photo.jpg"
],
"name": "John Doe"
},
"id": 123,
"output_id": "206fdc72-10c0-468c-996f-ff3f8cc51592",
"root_job_id": "497dcba3-ecbf-4587-a2dd-5eb0665e6880",
"create_date": "2023-02-14T00:00:00",
"update_date": "2023-02-14T16:00:00",
"last_scraped_date": "2023-02-14T16:00:00",
"change_type": "CREATE",
"key_hash": "d41d8cd98f00b204e9800998ecf8427e",
"value_hash": "d41d8cd98f00b204e9800998ecf8427e",
"is_approved": true,
"tags": {
"country": "US",
"external_customer_id": "12345",
"region": "US-CA"
},
"files": [
{
"create_date": "2023-02-14T00:00:00",
"field": "image[0]",
"file_checksum": "d41d8cd98f00b204e9800998ecf8427e",
"file_metadata": {},
"file_type": "jpg",
"file_url": "http://example.com/example.jpg",
"id": "206fdc72-10c0-468c-996f-ff3f8cc51592",
"s3_key": "example.jpg",
"s3_url": "https://files.reworkd.dev/d41d8cd98f00b204e9800998ecf8427e.jpg",
"source_url": "http://example.com",
"url_etag_hash": "d41d8cd98f00b204e9800998ecf8427e"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get outputs for a scraping group
Allows you to fetch all outputs for a given scraping group. The results are a materialized view of the outputs for the group; meaning the results are deduplicated. This view is updated depending on how often the group is scheduled to be re-scraped.
The results are paginated and sorted by the create_date of items in ascending order.
You can fetch the next page by using the next_url or next_cursor fields in the
response metadata.
Typically, you’d also want to provide a created_after filter to only fetch outputs
created after a certain date. This is useful when you want to fetch new outputs
since the last time you fetched outputs; thus allowing you to maintain a “real-time”
view of the outputs.
curl --request GET \
--url https://api.reworkd.dev/v1/outputs/{group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reworkd.dev/v1/outputs/{group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reworkd.dev/v1/outputs/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reworkd.dev/v1/outputs/{group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reworkd.dev/v1/outputs/{group_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reworkd.dev/v1/outputs/{group_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reworkd.dev/v1/outputs/{group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"metadata": {
"next_url": "https://api.reworkd.dev/v1/items?cursor=2612294",
"next_cursor": 2612294
},
"items": [
{
"source_url": "http://example.com",
"data": {
"age": 30,
"email": "john@example.com",
"images": [
"http://example.com/profile.jpg",
"http://example.com/photo.jpg"
],
"name": "John Doe"
},
"id": 123,
"output_id": "206fdc72-10c0-468c-996f-ff3f8cc51592",
"root_job_id": "497dcba3-ecbf-4587-a2dd-5eb0665e6880",
"create_date": "2023-02-14T00:00:00",
"update_date": "2023-02-14T16:00:00",
"last_scraped_date": "2023-02-14T16:00:00",
"change_type": "CREATE",
"key_hash": "d41d8cd98f00b204e9800998ecf8427e",
"value_hash": "d41d8cd98f00b204e9800998ecf8427e",
"is_approved": true,
"tags": {
"country": "US",
"external_customer_id": "12345",
"region": "US-CA"
},
"files": [
{
"create_date": "2023-02-14T00:00:00",
"field": "image[0]",
"file_checksum": "d41d8cd98f00b204e9800998ecf8427e",
"file_metadata": {},
"file_type": "jpg",
"file_url": "http://example.com/example.jpg",
"id": "206fdc72-10c0-468c-996f-ff3f8cc51592",
"s3_key": "example.jpg",
"s3_url": "https://files.reworkd.dev/d41d8cd98f00b204e9800998ecf8427e.jpg",
"source_url": "http://example.com",
"url_etag_hash": "d41d8cd98f00b204e9800998ecf8427e"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Filter outputs to only include those created or updated on or after this timestamp. Accepts ISO 8601 format (YYYY-MM-DD or YYYY-MM-DDTHH:MM:SSZ). Essential for incremental data syncing to avoid fetching the entire dataset on each request.
"2025-01-15T10:00:00Z"

